## Run the compiler asking for its idea of Make dependencies, then run
## those through our fixDependencies script.
DEPENDENCY_FIXER = $(TPRO_ROOT)/buildUtils/fixDependencies.py 

.INTERMEDIARY: %.d.tmp

%.d.tmp: %.c
	$(CC) -c $< $(CPPFLAGS) $(CFLAGS) $(call GENERATE_DEPENDENCIES,$@)

%.d: %.d.tmp
	$(DEPENDENCY_FIXER) $*.d.tmp > $@
