#! /usr/bin/env python

from subprocess import call
import sys
import os

killfileName = "killfile"

successCount = 0
failureCount = 0
done = False

command = sys.argv[1:]
print("Command: %s" % (" ".join(command)))

while (not done):
    status = call(command)
    if (status == 0):
        statusString = "success"
        successCount += 1
    else:
        statusString = "FAILURE(%d)" % (status)
        failureCount += 1

    totalTries = successCount + failureCount
    print("%-20s (%6u successes, %6u failures, %6u total)." % 
          (statusString, successCount, failureCount, totalTries))

    if ( os.path.exists(killfileName) ):
        print("%s found.  Exiting." % (killfileName))
        os.remove(killfileName)
        done = True

    if ( totalTries >= 999999 ):
        print("%u iterations is enough, don't you think?" % (totalTries))
        done = True
    

