
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);

  if(bIsTsync == TPRO_TRUE)
  {
      if ( (*YEAR_NAME < 1990) || (*YEAR_NAME > 2999) )
        return (TPRO_YEAR_PARM_ERR);

    TSYNC_TimeYearObj pObj;

    pObj.year = *YEAR_NAME;

    TSYNC_ERROR err = TSYNC_CS_setYear((TSYNC_BoardHandle) hnd, &pObj);
    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
    }

    return (TPRO_SUCCESS);
  }
