#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>

/*==========================================================================
  TPRO_close
==========================================================================*/

unsigned char TPRO_close (TPRO_BoardObj *hnd)
{
  if (hnd != NULL) {

    /**
    ***  close device
    **/

    if (hnd->file_descriptor) {
      (void)close(hnd->file_descriptor);
    }


    /**
    ***  free handle
    **/

    free (hnd);

    // success
    return (TPRO_SUCCESS);
  }

  return (TPRO_DEVICE_NOT_OPEN_ERR);
}
