#include "tpro_error_codes.h"


const char * tpro_strerror(enum tpro_error_code code) {
    const char * result = "tpro_strerror switch statement failed.";

    switch(code) {

        /* WARNING: X Macros! */
#define TPRO_X(name, value, string)             \
    case name:                                  \
        result = string " (" #name ")" ;        \
        break;                                  \

    TPRO_ERROR_CODES
#undef TPRO_X

    default:
        result = "unrecognized error code!";
    };
    return result;
}
