
/***************************************************************************
**  Module:     tsync_ar_services_recipes.c
**
**  Date:       09/08/09
**
**  Purpose:    Recipes used by the driver and TSYNC API library routines
**
** (C) Copyright 2009 Spectracom Corporation  All rights reserved.
**
****************************************************************************
** Modifications:
**
**              09/08/2009 Creation
**
****************************************************************************/

#include <stdlib.h>

#include "tsync_trans.h"
#include "tsync_ar_services.h"
#include "tsync_cs_services.h"

/******************************************************
**     Define Objects
******************************************************/

#include "tsync_recipe_define.h"

RECIPE(AR_VALUE)
RECIPE(AR_OFFSET_SET_CMD)
RECIPE(AR_UART_CFG_OBJ)
RECIPE(AR_UART_CFG_SET_CMD)
RECIPE(AR_LOCAL_SET_CMD)
RECIPE(AR_TIME_SCALE_SET_CMD)
RECIPE(AR_FORMAT_SET_CMD)
RECIPE(AR_PPS_SRC_SET_CMD)

#include "tsync_recipe_undef.h"
